Bug 1468995 - Review Request: python-geopandas - Geographic pandas extensions
Review Request: python-geopandas - Geographic pandas extensions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1468872 1468877 1481100
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 04:17 EDT by Elliott Sales de Andrade
Modified: 2017-12-19 14:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-19 14:45:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2017-07-10 04:17:09 EDT
Spec URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00577411-python-geopandas/python-geopandas.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00577411-python-geopandas/python-geopandas-0.2.1-2.fc27.src.rpm
Description: The goal of GeoPandas is to make working with geospatial data in Python easier. It combines the capabilities of Pandas and Shapely, providing geospatial operations in Pandas and a high-level interface to multiple geometries to Shapely. GeoPandas enables you to easily do operations in Python that would otherwise require a spatial database such as PostGIS.

I am seeking a sponsor; some informal reviews I have done:

https://bugzilla.redhat.com/show_bug.cgi?id=1440992#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1440971#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1433757#c2
https://bugzilla.redhat.com/show_bug.cgi?id=1368855#c14

Fedora Account System Username: qulogic
Comment 1 Elliott Sales de Andrade 2017-07-10 04:28:29 EDT
Also depends on a new Rtree, but I'm hoping that can be updated by the time the other requirements are reviewed.
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-13 11:53:11 EDT
Use use "pandas" and "Pandas", inconsistently.

I'd also recommend the trick from https://bugzilla.redhat.com/show_bug.cgi?id=1468873#c2 to avoid repeating the lengthy description text.

Hmm, what's the deal with rtree? http://toblerity.org/rtree/ shows 0.7 as the latest version. Can you open a bug against the python-Rtree package? Maybe the maintainer needs to be informed about a new upstream? It also needs a python3 version for this review to proceed.

Everything looks good, but I'll wait with the rest of review until the rtree situation improves.
Comment 3 Elliott Sales de Andrade 2017-09-19 04:02:24 EDT
So new Rtree is in Rawhide and fiona is also built. There was a new release of GeoPandas in the meantime, which I've tried to package, but there are a few new issues on non-x86 arches. https://github.com/geopandas/geopandas/issues/552
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-10-03 17:19:21 EDT
The latest version in your copr:
spec: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00590540-python-geopandas/python-geopandas.spec
srpm: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00590540-python-geopandas/python-geopandas-0.2.1-3.fc27.src.rpm

It seems that there is no python2-Rtree and python3-Rtree. IIUC, there used to be a python-Rtree binary package, but now there's only python2-rtree and python3-rtree, and python2-rtree provides python-Rtree for compatibility. So this version doesn't build in mock.
Comment 5 Elliott Sales de Andrade 2017-11-29 21:21:45 EST
There's an upstream patch for a spatialindex crash that's triggered by geopandas; if that can be applied, then I can finish this request up.

https://github.com/libspatialindex/libspatialindex/pull/108
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-11-30 01:26:57 EST
Let's ask the maintainer.
Comment 7 Elliott Sales de Andrade 2017-12-01 01:18:14 EST
I've opened a PR on Pagure with the patch: https://src.fedoraproject.org/rpms/spatialindex/pull-request/1
Comment 8 Volker Fröhlich 2017-12-01 15:05:03 EST
Updated in F25 through Rawhide, thanks!
Comment 9 Volker Fröhlich 2017-12-01 15:08:01 EST
You might want to add the GIS-related packages on this page: https://fedoraproject.org/wiki/GIS
Comment 10 Elliott Sales de Andrade 2017-12-01 18:07:30 EST
Spec URL: https://qulogic.fedorapeople.org/python-geopandas.spec
SRPM URL: https://qulogic.fedorapeople.org/python-geopandas-0.3.0-2.fc26.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23488964

Now working on all arches (though it's a noarch package itself).
Comment 11 Zbigniew Jędrzejewski-Szmek 2017-12-02 17:17:11 EST
+ package name is OK
+ license is acceptable for Fedora (BSD)
+ license is specified correctly
+ modern python packaging template is used
+ %python_provide is used
+ BuildRequires/Requires/Provides look OK
+ %check is present and passes
+ package builds and installs OK
+ fedora-review finds no issues
+ rpmlint only finds false positive spelling issues

Package is APPROVED.
Comment 12 Gwyn Ciesla 2017-12-03 11:00:32 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-geopandas
Comment 13 Fedora Update System 2017-12-03 17:13:21 EST
python-geopandas-0.3.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f5af13691
Comment 14 Fedora Update System 2017-12-08 18:26:34 EST
python-geopandas-0.3.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f5af13691
Comment 15 Fedora Update System 2017-12-09 02:18:34 EST
python-geopandas-0.3.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f5af13691
Comment 16 Fedora Update System 2017-12-10 16:48:00 EST
python-geopandas-0.3.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f5af13691
Comment 17 Fedora Update System 2017-12-19 14:45:24 EST
python-geopandas-0.3.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.